package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Dagger;
import org.project.item.weapons.Flame;
import org.project.item.weapons.Weapon;

public class Dragon extends Enemy{

    private static int maxHP = 220;
    private int hp = maxHP;

    public Dragon(){
        Weapon DragonWeapon = new Flame();
        super(maxHP, DragonWeapon);
    }

    @Override
    public void attack(Entity target) {
        target.takeDamage(28);
    }

    @Override
    public void SpecialAbility(Entity target) {
        target.takeDamage(weapon.getDamage());
    }

    @Override
    public void heal(int health) {
        hp += health;
        if (hp > maxHP) {
            hp = maxHP;
        }
    }

    public int getMaxHP() {
        return maxHP;
    }

    public String getName(){
        return "Dragon";
    }

}